Name: libXpm
Version: 3.5.6
Release: alt2

Summary: X Pixmap Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org
Source: %name-%version.tar.bz2

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Provides: xpm = %version-%release
Obsoletes: xpm

BuildRequires: libX11-devel libXau-devel libXdmcp-devel pkg-config
BuildRequires: xorg-x11-proto-devel xorg-x11-util-macros

%description
This package contains the XPM pixmap library for the X Window System.
The XPM library allows applications to display color, pixmapped images,
and is used by many popular X programs.

%package devel
Summary: Xpm Libraries and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release libX11-devel libXau-devel libXdmcp-devel
Provides: xpm-devel = %version-%release
Obsoletes: xpm-devel
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static

%prep
%setup -q

%build
%__autoreconf
%configure \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_bindir/cxpm
%_libdir/*.so.*
%_man1dir/*

%files devel
%doc CHANGES README.html FAQ.html xpm.PS.gz
%_includedir/X11/*
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Fri Feb 23 2007 Valery Inozemtsev <shrek@altlinux.ru> 3.5.6-alt2
- added documentations (close #8991)

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.5.6-alt1
- 3.5.6

* Thu Apr 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.5.5-alt1
- 3.5.5

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.5.4.2-alt3
- added requires to %name-devel from buildrequires

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 3.5.4.2-alt2
- fixed requires for %name-devel

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.5.4.2-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.5.4.1-alt1
- Xorg-7.0RC3

* Sun Nov 20 2005 Valery Inozemtsev <shrek@altlinux.ru> 3.5.4-alt0.1
- initial build

